/* Generated by re2c */
#line 1 "../../../benchmarks/submatch_dfa_aot/src/re2c/01__http_simple.re"
#include <assert.h>
#include <stdlib.h>
#include "common.h"

#line 15 "../../../benchmarks/submatch_dfa_aot/src/re2c/common.re"


typedef struct taglist_t {
    struct taglist_t *pred;
    long dist;
} taglist_t;

typedef struct taglistpool_t {
    taglist_t *head;
    taglist_t *next;
    taglist_t *last;
} taglistpool_t;

typedef struct {
    char *buf;
    char *lim;
    char *cur;
    char *mar;
    char *tok;
    char *yyt2;
char *yyt3;
char *yyt4;
char *yyt5;
char *yyt6;

    taglist_t *yyt1;
taglist_t *yyt7;
taglist_t *yyt8;
taglist_t *yyt9;

    taglistpool_t tlp;
    int eof;
} input_t;

static inline void taglistpool_clear(taglistpool_t *tlp, input_t *in)
{
    tlp->next = tlp->head;
    in->yyt1 = 0;
in->yyt7 = 0;
in->yyt8 = 0;
in->yyt9 = 0;

}

static inline void taglistpool_init(taglistpool_t *tlp)
{
    static const unsigned size = 1024 * 1024;
    tlp->head = (taglist_t*)malloc(size * sizeof(taglist_t));
    tlp->next = tlp->head;
    tlp->last = tlp->head + size;
}

static inline void taglistpool_free(taglistpool_t *tlp)
{
    free(tlp->head);
    tlp->head = tlp->next = tlp->last = NULL;
}

static inline void taglist(taglist_t **ptl, const char *b, const char *t, taglistpool_t *tlp)
{
#ifdef GROW_MTAG_LIST
    if (tlp->next >= tlp->last) {
        const unsigned size = tlp->last - tlp->head;
        taglist_t *head = (taglist_t*)malloc(2 * size * sizeof(taglist_t));
        memcpy(head, tlp->head, size * sizeof(taglist_t));
        free(tlp->head);
        tlp->head = head;
        tlp->next = head + size;
        tlp->last = head + size * 2;
    }
#else
    assert(tlp->next < tlp->last);
#endif
    taglist_t *tl = tlp->next++;
    tl->pred = *ptl;
    tl->dist = t - b;
    *ptl = tl;
}

#line 4 "../../../benchmarks/submatch_dfa_aot/src/re2c/include/fill.re"


#define YYMAXFILL 14


static inline int fill(input_t *in, size_t need)
{
    size_t free;
    if (in->eof) return 1;

    free = in->tok - in->buf;
    assert(free >= need);

    memmove(in->buf, in->tok, in->lim - in->tok);
    in->lim -= free;
    in->cur -= free;
    in->mar -= free;
    in->tok -= free;
    if (in->yyt2) in->yyt2 -= free;
if (in->yyt3) in->yyt3 -= free;
if (in->yyt4) in->yyt4 -= free;
if (in->yyt5) in->yyt5 -= free;
if (in->yyt6) in->yyt6 -= free;


    in->lim += fread(in->lim, 1, free, stdin);

    if (in->lim < in->buf + SIZE) {
        in->eof = 1;
        memset(in->lim, 0, YYMAXFILL);
        in->lim += YYMAXFILL;
    }

    return 0;
}

static inline void init_input(input_t *in)
{
    in->buf = (char*) malloc(SIZE + YYMAXFILL);
    in->lim = in->buf + SIZE;
    in->cur = in->lim;
    in->mar = in->lim;
    in->tok = in->lim;
    in->yyt2 = 0;
in->yyt3 = 0;
in->yyt4 = 0;
in->yyt5 = 0;
in->yyt6 = 0;

    in->yyt1 = 0;
in->yyt7 = 0;
in->yyt8 = 0;
in->yyt9 = 0;

    taglistpool_init(&in->tlp);
    in->eof = 0;
}


static inline void free_input(input_t *in)
{
    free(in->buf);
    taglistpool_free(&in->tlp);
}

static int lex(input_t *in, Output *out);

int main(int argc, char **argv)
{
    PRE;
    input_t in;
    Output out;

    init_input(&in);
    init_output(&out);

    switch (lex(&in, &out)) {
        case 0:  break;
        case 1:  fprintf(stderr, "*** %s: syntax error\n", argv[0]); break;
        case 2:  fprintf(stderr, "*** %s: yyfill error\n", argv[0]); break;
        default: fprintf(stderr, "*** %s: panic\n", argv[0]); break;
    }

    flush(&out);
    free_output(&out);
    free_input(&in);

    POST;
    return 0;
}


static void print_headers(Output *out, const char *tok,
    const taglist_t *h1, const taglist_t *h2)
{
    if (!h2) return;
    print_headers(out, tok, h1->pred, h2->pred);
    OUT("header: ", tok + h1->dist, tok + h2->dist);
}

static int lex(input_t *in, Output *out)
{
    const char
        *s1, *v1, *v3, *m1, *rp1, *rt1,
        *s2, *v2, *v4, *m2, *rp2, *rt2;
    taglist_t *h1, *h2;

loop:
    in->tok = in->cur;

#line 199 "gen/re2c/01__http_simple-tdfa0.c"
{
	char yych;
	in->yyt2 = in->cur;
	if ((in->lim - in->cur) < 13) if (fill(in, 13) != 0) return 1;
	yych = *in->cur++;
	switch (yych) {
	case 0x00:	goto yy2;
	case '!':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '*':
	case '+':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '^':
	case '_':
	case '`':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '|':
	case '~':	goto yy6;
	case 'H':	goto yy7;
	default:	goto yy4;
	}
yy2:
#line 3 "../../../benchmarks/submatch_dfa_aot/src/re2c/include/fill.re"
	{ return 0; }
#line 289 "gen/re2c/01__http_simple-tdfa0.c"
yy4:
yy5:
#line 50 "../../../benchmarks/submatch_dfa_aot/src/re2c/01__http_simple.re"
	{ return 1; }
#line 294 "gen/re2c/01__http_simple-tdfa0.c"
yy6:
	yych = *(in->mar = in->cur);
	switch (yych) {
	case ' ':
	case '!':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '*':
	case '+':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '^':
	case '_':
	case '`':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '|':
	case '~':	goto yy11;
	default:	goto yy5;
	}
yy7:
	yych = *(in->mar = in->cur);
	switch (yych) {
	case ' ':
	case '!':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '*':
	case '+':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '^':
	case '_':
	case '`':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '|':
	case '~':	goto yy11;
	case 'T':
		++in->cur;
		goto yy12;
	default:	goto yy5;
	}
yy8:
	yych = *in->cur;
	switch (yych) {
	case ' ':
	case '@':	goto yy9;
	case '+':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
		++in->cur;
		goto yy15;
	case '/':
		++in->cur;
		goto yy17;
	default:	goto yy14;
	}
yy9:
	in->cur = in->mar;
	goto yy5;
yy10:
	if ((in->lim - in->cur) < 2) if (fill(in, 2) != 0) return 1;
	yych = *in->cur;
yy11:
	switch (yych) {
	case ' ':
		++in->cur;
		in->yyt3 = in->cur;
		goto yy8;
	case '!':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '*':
	case '+':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '^':
	case '_':
	case '`':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '|':
	case '~':
		++in->cur;
		goto yy10;
	default:	goto yy9;
	}
yy12:
	yych = *in->cur;
	switch (yych) {
	case 'T':
		++in->cur;
		goto yy21;
	default:	goto yy11;
	}
yy13:
	if ((in->lim - in->cur) < 11) if (fill(in, 11) != 0) return 1;
	yych = *in->cur;
yy14:
	switch (yych) {
	case ' ':
		++in->cur;
		goto yy22;
	case '!':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case ':':
	case ';':
	case '=':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '~':
		++in->cur;
		goto yy13;
	case '@':
		++in->cur;
		goto yy23;
	case '[':
	case ']':
		++in->cur;
		goto yy19;
	default:	goto yy9;
	}
yy15:
	if ((in->lim - in->cur) < 14) if (fill(in, 14) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case ' ':
		++in->cur;
		goto yy22;
	case '!':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case ',':
	case ';':
	case '=':
	case '_':
	case '~':
		++in->cur;
		goto yy13;
	case '+':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
		++in->cur;
		goto yy15;
	case ':':
		++in->cur;
		goto yy24;
	case '@':
		++in->cur;
		goto yy23;
	case '[':
	case ']':
		++in->cur;
		goto yy19;
	default:	goto yy9;
	}
yy17:
	if ((in->lim - in->cur) < 11) if (fill(in, 11) != 0) return 1;
	yych = *in->cur;
yy18:
	switch (yych) {
	case ' ':
		++in->cur;
		goto yy22;
	case '!':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':
	case '/':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case ':':
	case ';':
	case '=':
	case '?':
	case '@':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '~':
		++in->cur;
		goto yy17;
	default:	goto yy9;
	}
yy19:
	if ((in->lim - in->cur) < 11) if (fill(in, 11) != 0) return 1;
	yych = *in->cur;
yy20:
	switch (yych) {
	case ' ':
		++in->cur;
		goto yy22;
	case '!':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case ':':
	case ';':
	case '=':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '[':
	case ']':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '~':
		++in->cur;
		goto yy19;
	default:	goto yy9;
	}
yy21:
	yych = *in->cur;
	switch (yych) {
	case 'P':
		++in->cur;
		goto yy25;
	default:	goto yy11;
	}
yy22:
	yych = *in->cur;
	switch (yych) {
	case 'H':
		++in->cur;
		goto yy26;
	default:	goto yy9;
	}
yy23:
	yych = *in->cur;
	switch (yych) {
	case ' ':	goto yy9;
	default:	goto yy20;
	}
yy24:
	yych = *in->cur;
	switch (yych) {
	case '/':
		++in->cur;
		goto yy29;
	default:	goto yy28;
	}
yy25:
	yych = *in->cur;
	switch (yych) {
	case '/':
		++in->cur;
		goto yy32;
	default:	goto yy11;
	}
yy26:
	yych = *in->cur;
	switch (yych) {
	case 'T':
		++in->cur;
		goto yy33;
	default:	goto yy9;
	}
yy27:
	if ((in->lim - in->cur) < 11) if (fill(in, 11) != 0) return 1;
	yych = *in->cur;
yy28:
	switch (yych) {
	case ' ':
		++in->cur;
		goto yy22;
	case '!':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case ':':
	case ';':
	case '=':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '~':
		++in->cur;
		goto yy27;
	case '/':
	case '?':
		++in->cur;
		goto yy17;
	case '@':
		++in->cur;
		goto yy30;
	case '[':
	case ']':
		++in->cur;
		goto yy19;
	default:	goto yy9;
	}
yy29:
	yych = *in->cur;
	switch (yych) {
	case '/':
		++in->cur;
		goto yy34;
	default:	goto yy18;
	}
yy30:
	if ((in->lim - in->cur) < 11) if (fill(in, 11) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case ' ':
		++in->cur;
		goto yy22;
	case '!':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case ':':
	case ';':
	case '=':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '~':
		++in->cur;
		goto yy30;
	case '/':
	case '?':
	case '@':
		++in->cur;
		goto yy17;
	case '[':
	case ']':
		++in->cur;
		goto yy19;
	default:	goto yy9;
	}
yy32:
	yych = *in->cur;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
		++in->cur;
		goto yy35;
	default:	goto yy9;
	}
yy33:
	yych = *in->cur;
	switch (yych) {
	case 'T':
		++in->cur;
		goto yy36;
	default:	goto yy9;
	}
yy34:
	yych = *in->cur;
	switch (yych) {
	case '@':
		++in->cur;
		goto yy17;
	default:	goto yy38;
	}
yy35:
	yych = *in->cur;
	switch (yych) {
	case '.':
		++in->cur;
		goto yy41;
	default:	goto yy9;
	}
yy36:
	yych = *in->cur;
	switch (yych) {
	case 'P':
		++in->cur;
		goto yy42;
	default:	goto yy9;
	}
yy37:
	if ((in->lim - in->cur) < 11) if (fill(in, 11) != 0) return 1;
	yych = *in->cur;
yy38:
	switch (yych) {
	case ' ':
		++in->cur;
		goto yy22;
	case '!':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case ':':
	case ';':
	case '=':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '~':
		++in->cur;
		goto yy37;
	case '/':
	case '?':
		++in->cur;
		goto yy17;
	case '@':
	case '[':
	case ']':
		++in->cur;
		goto yy39;
	default:	goto yy9;
	}
yy39:
	if ((in->lim - in->cur) < 11) if (fill(in, 11) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case ' ':
		++in->cur;
		goto yy22;
	case '!':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '(':
	case ')':
	case '*':
	case '+':
	case ',':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case ':':
	case ';':
	case '=':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '[':
	case ']':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '~':
		++in->cur;
		goto yy39;
	case '/':
	case '?':
	case '@':
		++in->cur;
		goto yy17;
	default:	goto yy9;
	}
yy41:
	yych = *in->cur;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
		++in->cur;
		goto yy43;
	default:	goto yy9;
	}
yy42:
	yych = *in->cur;
	switch (yych) {
	case '/':
		++in->cur;
		goto yy44;
	default:	goto yy9;
	}
yy43:
	yych = *in->cur;
	switch (yych) {
	case ' ':
		++in->cur;
		goto yy45;
	default:	goto yy9;
	}
yy44:
	yych = *in->cur;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
		++in->cur;
		goto yy46;
	default:	goto yy9;
	}
yy45:
	yych = *in->cur;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
		++in->cur;
		goto yy47;
	default:	goto yy9;
	}
yy46:
	yych = *in->cur;
	switch (yych) {
	case '.':
		++in->cur;
		goto yy48;
	default:	goto yy9;
	}
yy47:
	yych = *in->cur;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
		++in->cur;
		goto yy49;
	default:	goto yy9;
	}
yy48:
	yych = *in->cur;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
		++in->cur;
		in->yyt4 = in->cur;
		goto yy50;
	default:	goto yy9;
	}
yy49:
	yych = *in->cur;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
		++in->cur;
		goto yy51;
	default:	goto yy9;
	}
yy50:
	yych = *in->cur;
	switch (yych) {
	case '\n':
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->tok - 1, &in->tlp);
		in->yyt7 = in->yyt8;
		taglist(&in->yyt7, in->tok, in->cur, &in->tlp);
		taglist(&in->yyt8, in->tok, in->tok - 1, &in->tlp);
		in->yyt5 = in->yyt6 = NULL;
		goto yy52;
	default:	goto yy9;
	}
yy51:
	yych = *in->cur;
	switch (yych) {
	case ' ':
		++in->cur;
		in->yyt5 = in->yyt6 = in->cur;
		goto yy53;
	default:	goto yy9;
	}
yy52:
	yych = *in->cur;
	switch (yych) {
	case '\n':
		++in->cur;
		goto yy55;
	case ':':	goto yy9;
	default:	goto yy58;
	}
yy53:
	if ((in->lim - in->cur) < 2) if (fill(in, 2) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 0x00:
	case 0x01:
	case 0x02:
	case 0x03:
	case 0x04:
	case 0x05:
	case 0x06:
	case 0x07:
	case 0x08:
	case '\v':
	case '\f':
	case '\r':
	case 0x0E:
	case 0x0F:
	case 0x10:
	case 0x11:
	case 0x12:
	case 0x13:
	case 0x14:
	case 0x15:
	case 0x16:
	case 0x17:
	case 0x18:
	case 0x19:
	case 0x1A:
	case 0x1B:
	case 0x1C:
	case 0x1D:
	case 0x1E:
	case 0x7F:	goto yy9;
	case '\n':
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->tok - 1, &in->tlp);
		in->yyt7 = in->yyt8;
		taglist(&in->yyt7, in->tok, in->cur, &in->tlp);
		taglist(&in->yyt8, in->tok, in->tok - 1, &in->tlp);
		in->yyt2 = in->yyt3 = in->yyt4 = NULL;
		goto yy52;
	default:
		++in->cur;
		in->yyt6 = in->cur;
		goto yy53;
	}
yy55:
	m1 = in->yyt2;
	rt1 = in->yyt3;
	v4 = in->yyt4;
	rp1 = in->yyt5;
	rp2 = in->yyt6;
	h1 = in->yyt8;
	h2 = in->yyt9;
	m2 = in->yyt3;
	if (in->yyt3 != NULL) m2 -= 1;
	rt2 = in->yyt4;
	if (in->yyt4 != NULL) rt2 -= 9;
	v3 = in->yyt4;
	if (in->yyt4 != NULL) v3 -= 8;
	v1 = in->yyt5;
	if (in->yyt5 != NULL) v1 -= 13;
	v2 = in->yyt5;
	if (in->yyt5 != NULL) v2 -= 5;
	s1 = in->yyt5;
	if (in->yyt5 != NULL) s1 -= 4;
	s2 = in->yyt5;
	if (in->yyt5 != NULL) s2 -= 1;
#line 51 "../../../benchmarks/submatch_dfa_aot/src/re2c/01__http_simple.re"
	{
        if (s1) {
            OUT("version: ", v1, v2);
            OUT("status: ", s1, s2);
            OUT("reason: ", rp1, rp2);
        }
        if (m1) {
            OUT("method: ", m1, m2);
            OUT("request: ", rt1, rt2);
            OUT("version: ", v3, v4);
        }
        print_headers(out, in->tok, h1, h2);
        outc(out, '\n');

        taglistpool_clear(&in->tlp, in);
        goto loop;
    }
#line 1775 "gen/re2c/01__http_simple-tdfa0.c"
yy57:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
yy58:
	switch (yych) {
	case '!':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '*':
	case '+':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '^':
	case '_':
	case '`':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '|':
	case '~':
		++in->cur;
		goto yy57;
	case ':':
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy59;
	default:	goto yy9;
	}
yy59:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 0x00:
	case 0x01:
	case 0x02:
	case 0x03:
	case 0x04:
	case 0x05:
	case 0x06:
	case 0x07:
	case 0x08:
	case '\v':
	case '\f':
	case '\r':
	case 0x0E:
	case 0x0F:
	case 0x10:
	case 0x11:
	case 0x12:
	case 0x13:
	case 0x14:
	case 0x15:
	case 0x16:
	case 0x17:
	case 0x18:
	case 0x19:
	case 0x1A:
	case 0x1B:
	case 0x1C:
	case 0x1D:
	case 0x1E:
	case 0x7F:	goto yy9;
	case '\t':
	case ' ':
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy59;
	case '\n':
		++in->cur;
		in->yyt8 = in->yyt7;
		taglist(&in->yyt8, in->tok, in->cur, &in->tlp);
		goto yy61;
	default:
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy62;
	}
yy61:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy59;
	case '\n':
		++in->cur;
		in->yyt8 = in->yyt7;
		goto yy55;
	case '!':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '*':
	case '+':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '^':
	case '_':
	case '`':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '|':
	case '~':
		++in->cur;
		in->yyt1 = in->yyt9;
		in->yyt7 = in->yyt8;
		goto yy57;
	default:	goto yy9;
	}
yy62:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 0x00:
	case 0x01:
	case 0x02:
	case 0x03:
	case 0x04:
	case 0x05:
	case 0x06:
	case 0x07:
	case 0x08:
	case '\v':
	case '\f':
	case '\r':
	case 0x0E:
	case 0x0F:
	case 0x10:
	case 0x11:
	case 0x12:
	case 0x13:
	case 0x14:
	case 0x15:
	case 0x16:
	case 0x17:
	case 0x18:
	case 0x19:
	case 0x1A:
	case 0x1B:
	case 0x1C:
	case 0x1D:
	case 0x1E:
	case 0x7F:	goto yy9;
	case '\t':
		++in->cur;
		goto yy64;
	case '\n':
		++in->cur;
		in->yyt8 = in->yyt7;
		taglist(&in->yyt8, in->tok, in->cur, &in->tlp);
		goto yy61;
	case ' ':
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy66;
	default:
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy62;
	}
yy64:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 0x00:
	case 0x01:
	case 0x02:
	case 0x03:
	case 0x04:
	case 0x05:
	case 0x06:
	case 0x07:
	case 0x08:
	case '\v':
	case '\f':
	case '\r':
	case 0x0E:
	case 0x0F:
	case 0x10:
	case 0x11:
	case 0x12:
	case 0x13:
	case 0x14:
	case 0x15:
	case 0x16:
	case 0x17:
	case 0x18:
	case 0x19:
	case 0x1A:
	case 0x1B:
	case 0x1C:
	case 0x1D:
	case 0x1E:
	case 0x7F:	goto yy9;
	case '\t':
		++in->cur;
		goto yy64;
	case '\n':
		++in->cur;
		in->yyt1 = in->yyt7;
		taglist(&in->yyt1, in->tok, in->cur, &in->tlp);
		goto yy68;
	case ' ':
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy66;
	default:
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy69;
	}
yy66:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 0x00:
	case 0x01:
	case 0x02:
	case 0x03:
	case 0x04:
	case 0x05:
	case 0x06:
	case 0x07:
	case 0x08:
	case '\v':
	case '\f':
	case '\r':
	case 0x0E:
	case 0x0F:
	case 0x10:
	case 0x11:
	case 0x12:
	case 0x13:
	case 0x14:
	case 0x15:
	case 0x16:
	case 0x17:
	case 0x18:
	case 0x19:
	case 0x1A:
	case 0x1B:
	case 0x1C:
	case 0x1D:
	case 0x1E:
	case 0x7F:	goto yy9;
	case '\t':
		++in->cur;
		goto yy64;
	case '\n':
		++in->cur;
		in->yyt8 = in->yyt7;
		taglist(&in->yyt8, in->tok, in->cur, &in->tlp);
		goto yy61;
	case ' ':
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy66;
	default:
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy70;
	}
yy68:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case '\n':
		++in->cur;
		in->yyt8 = in->yyt7;
		goto yy55;
	case '!':
	case '#':
	case '$':
	case '%':
	case '&':
	case '\'':
	case '*':
	case '+':
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '^':
	case '_':
	case '`':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':
	case '|':
	case '~':
		++in->cur;
		in->yyt7 = in->yyt1;
		in->yyt1 = in->yyt9;
		goto yy57;
	default:	goto yy9;
	}
yy69:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 0x00:
	case 0x01:
	case 0x02:
	case 0x03:
	case 0x04:
	case 0x05:
	case 0x06:
	case 0x07:
	case 0x08:
	case '\v':
	case '\f':
	case '\r':
	case 0x0E:
	case 0x0F:
	case 0x10:
	case 0x11:
	case 0x12:
	case 0x13:
	case 0x14:
	case 0x15:
	case 0x16:
	case 0x17:
	case 0x18:
	case 0x19:
	case 0x1A:
	case 0x1B:
	case 0x1C:
	case 0x1D:
	case 0x1E:
	case 0x7F:	goto yy9;
	case '\t':
		++in->cur;
		goto yy71;
	case '\n':
		++in->cur;
		in->yyt8 = in->yyt7;
		taglist(&in->yyt8, in->tok, in->cur, &in->tlp);
		goto yy61;
	default:
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy62;
	}
yy70:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 0x00:
	case 0x01:
	case 0x02:
	case 0x03:
	case 0x04:
	case 0x05:
	case 0x06:
	case 0x07:
	case 0x08:
	case '\v':
	case '\f':
	case '\r':
	case 0x0E:
	case 0x0F:
	case 0x10:
	case 0x11:
	case 0x12:
	case 0x13:
	case 0x14:
	case 0x15:
	case 0x16:
	case 0x17:
	case 0x18:
	case 0x19:
	case 0x1A:
	case 0x1B:
	case 0x1C:
	case 0x1D:
	case 0x1E:
	case 0x7F:	goto yy9;
	case '\t':
		++in->cur;
		goto yy73;
	case '\n':
		++in->cur;
		in->yyt8 = in->yyt7;
		taglist(&in->yyt8, in->tok, in->cur, &in->tlp);
		goto yy61;
	default:
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy62;
	}
yy71:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':
		++in->cur;
		goto yy71;
	case '\n':
		++in->cur;
		in->yyt1 = in->yyt7;
		taglist(&in->yyt1, in->tok, in->cur, &in->tlp);
		goto yy68;
	default:	goto yy9;
	}
yy73:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 0x00:
	case 0x01:
	case 0x02:
	case 0x03:
	case 0x04:
	case 0x05:
	case 0x06:
	case 0x07:
	case 0x08:
	case '\v':
	case '\f':
	case '\r':
	case 0x0E:
	case 0x0F:
	case 0x10:
	case 0x11:
	case 0x12:
	case 0x13:
	case 0x14:
	case 0x15:
	case 0x16:
	case 0x17:
	case 0x18:
	case 0x19:
	case 0x1A:
	case 0x1B:
	case 0x1C:
	case 0x1D:
	case 0x1E:
	case 0x7F:	goto yy9;
	case '\t':
		++in->cur;
		goto yy73;
	case '\n':
		++in->cur;
		in->yyt1 = in->yyt7;
		taglist(&in->yyt1, in->tok, in->cur, &in->tlp);
		goto yy68;
	case ' ':
		++in->cur;
		goto yy75;
	default:
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy69;
	}
yy75:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 0x00:
	case 0x01:
	case 0x02:
	case 0x03:
	case 0x04:
	case 0x05:
	case 0x06:
	case 0x07:
	case 0x08:
	case '\v':
	case '\f':
	case '\r':
	case 0x0E:
	case 0x0F:
	case 0x10:
	case 0x11:
	case 0x12:
	case 0x13:
	case 0x14:
	case 0x15:
	case 0x16:
	case 0x17:
	case 0x18:
	case 0x19:
	case 0x1A:
	case 0x1B:
	case 0x1C:
	case 0x1D:
	case 0x1E:
	case 0x7F:	goto yy9;
	case '\t':
		++in->cur;
		goto yy73;
	case '\n':
		++in->cur;
		in->yyt8 = in->yyt7;
		taglist(&in->yyt8, in->tok, in->cur, &in->tlp);
		goto yy61;
	case ' ':
		++in->cur;
		goto yy75;
	default:
		++in->cur;
		in->yyt9 = in->yyt1;
		taglist(&in->yyt9, in->tok, in->cur, &in->tlp);
		goto yy70;
	}
}
#line 68 "../../../benchmarks/submatch_dfa_aot/src/re2c/01__http_simple.re"

}
