/* Generated by re2c */
#line 1 "../../../benchmarks/submatch_dfa_aot/src/re2c/04__apache_log.re"
#include <assert.h>
#include <stdlib.h>
#include "common.h"

#line 15 "../../../benchmarks/submatch_dfa_aot/src/re2c/common.re"


typedef struct taglist_t {
    struct taglist_t *pred;
    long dist;
} taglist_t;

typedef struct taglistpool_t {
    taglist_t *head;
    taglist_t *next;
    taglist_t *last;
} taglistpool_t;

typedef struct {
    char *buf;
    char *lim;
    char *cur;
    char *mar;
    char *tok;
    char *yyt1;
char *yyt10;
char *yyt11;
char *yyt12;
char *yyt13;
char *yyt14;
char *yyt15;
char *yyt16;
char *yyt2;
char *yyt3;
char *yyt4;
char *yyt5;
char *yyt6;
char *yyt7;
char *yyt8;
char *yyt9;

    
    taglistpool_t tlp;
    int eof;
} input_t;

static inline void taglistpool_clear(taglistpool_t *tlp, input_t *in)
{
    tlp->next = tlp->head;
    
}

static inline void taglistpool_init(taglistpool_t *tlp)
{
    static const unsigned size = 1024 * 1024;
    tlp->head = (taglist_t*)malloc(size * sizeof(taglist_t));
    tlp->next = tlp->head;
    tlp->last = tlp->head + size;
}

static inline void taglistpool_free(taglistpool_t *tlp)
{
    free(tlp->head);
    tlp->head = tlp->next = tlp->last = NULL;
}

static inline void taglist(taglist_t **ptl, const char *b, const char *t, taglistpool_t *tlp)
{
#ifdef GROW_MTAG_LIST
    if (tlp->next >= tlp->last) {
        const unsigned size = tlp->last - tlp->head;
        taglist_t *head = (taglist_t*)malloc(2 * size * sizeof(taglist_t));
        memcpy(head, tlp->head, size * sizeof(taglist_t));
        free(tlp->head);
        tlp->head = head;
        tlp->next = head + size;
        tlp->last = head + size * 2;
    }
#else
    assert(tlp->next < tlp->last);
#endif
    taglist_t *tl = tlp->next++;
    tl->pred = *ptl;
    tl->dist = t - b;
    *ptl = tl;
}

#line 6 "../../../benchmarks/submatch_dfa_aot/src/re2c/include-eof/fill.re"


static inline int fill(input_t *in)
{
    size_t free;
    if (in->eof) return 1;

    free = in->tok - in->buf;
    assert(free > 0);

    memmove(in->buf, in->tok, in->lim - in->tok);
    in->lim -= free;
    in->cur -= free;
    in->mar -= free;
    in->tok -= free;
    if (in->yyt1) in->yyt1 -= free;
if (in->yyt10) in->yyt10 -= free;
if (in->yyt11) in->yyt11 -= free;
if (in->yyt12) in->yyt12 -= free;
if (in->yyt13) in->yyt13 -= free;
if (in->yyt14) in->yyt14 -= free;
if (in->yyt15) in->yyt15 -= free;
if (in->yyt16) in->yyt16 -= free;
if (in->yyt2) in->yyt2 -= free;
if (in->yyt3) in->yyt3 -= free;
if (in->yyt4) in->yyt4 -= free;
if (in->yyt5) in->yyt5 -= free;
if (in->yyt6) in->yyt6 -= free;
if (in->yyt7) in->yyt7 -= free;
if (in->yyt8) in->yyt8 -= free;
if (in->yyt9) in->yyt9 -= free;


    in->lim += fread(in->lim, 1, free, stdin);
    in->lim[0] = 0;

    if (in->lim < in->buf + SIZE) {
        in->eof = 1;
    }

    return 0;
}

static inline void init_input(input_t *in)
{
    in->buf = (char*) malloc(SIZE + 1);
    in->lim = in->buf + SIZE;
    in->cur = in->lim;
    in->mar = in->lim;
    in->tok = in->lim;
    in->yyt1 = 0;
in->yyt10 = 0;
in->yyt11 = 0;
in->yyt12 = 0;
in->yyt13 = 0;
in->yyt14 = 0;
in->yyt15 = 0;
in->yyt16 = 0;
in->yyt2 = 0;
in->yyt3 = 0;
in->yyt4 = 0;
in->yyt5 = 0;
in->yyt6 = 0;
in->yyt7 = 0;
in->yyt8 = 0;
in->yyt9 = 0;

    
    taglistpool_init(&in->tlp);
    in->eof = 0;
    fill(in);
}


static inline void free_input(input_t *in)
{
    free(in->buf);
    taglistpool_free(&in->tlp);
}

static int lex(input_t *in, Output *out);

int main(int argc, char **argv)
{
    PRE;
    input_t in;
    Output out;

    init_input(&in);
    init_output(&out);

    switch (lex(&in, &out)) {
        case 0:  break;
        case 1:  fprintf(stderr, "*** %s: syntax error\n", argv[0]); break;
        case 2:  fprintf(stderr, "*** %s: yyfill error\n", argv[0]); break;
        default: fprintf(stderr, "*** %s: panic\n", argv[0]); break;
    }

    flush(&out);
    free_output(&out);
    free_input(&in);

    POST;
    return 0;
}


static int lex(input_t *in, Output *out)
{
    const char
        *h1, *i1, *a1, *d1, *r1, *s1, *z1, *u1, *g1,
        *h2, *i2, *a2, *d2, *r2, *s2, *z2, *u2, *g2;

loop:
    in->tok = in->cur;

#line 208 "gen/re2c/04__apache_log-eof-stadfa.c"
{
	char yych;
yyFillLabel3_0:
	yych = *in->cur;
	switch (yych) {
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy4;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_0;
			goto yy59;
		}
		goto yy2;
	}
yy2:
	++in->cur;
yy3:
#line 33 "../../../benchmarks/submatch_dfa_aot/src/re2c/04__apache_log.re"
	{ return 1; }
#line 237 "gen/re2c/04__apache_log-eof-stadfa.c"
yy4:
	in->mar = ++in->cur;
	in->yyt16 = in->cur - 1;
yyFillLabel3_1:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy5;
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy7;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_1;
		}
		goto yy3;
	}
yy5:
	++in->cur;
	in->yyt1 = in->cur - 1;
yyFillLabel3_2:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy9;
	case '-':	goto yy11;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_2;
		}
		goto yy6;
	}
yy6:
	in->cur = in->mar;
	goto yy3;
yy7:
	++in->cur;
yyFillLabel3_3:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy5;
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy7;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_3;
		}
		goto yy6;
	}
yy9:
	++in->cur;
yyFillLabel3_4:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy9;
	case '-':	goto yy11;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_4;
		}
		goto yy6;
	}
yy11:
	++in->cur;
yyFillLabel3_5:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy12;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_5;
		}
		goto yy6;
	}
yy12:
	++in->cur;
	in->yyt2 = in->cur - 1;
yyFillLabel3_6:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy13;
	case '-':	goto yy15;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_6;
		}
		goto yy6;
	}
yy13:
	++in->cur;
yyFillLabel3_7:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy13;
	case '-':	goto yy15;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_7;
		}
		goto yy6;
	}
yy15:
	++in->cur;
yyFillLabel3_8:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy16;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_8;
		}
		goto yy6;
	}
yy16:
	++in->cur;
	in->yyt3 = in->cur - 1;
yyFillLabel3_9:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy17;
	case '[':	goto yy19;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_9;
		}
		goto yy6;
	}
yy17:
	++in->cur;
yyFillLabel3_10:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy17;
	case '[':	goto yy19;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_10;
		}
		goto yy6;
	}
yy19:
	++in->cur;
	in->yyt4 = in->cur - 1;
yyFillLabel3_11:
	yych = *in->cur;
	switch (yych) {
	case '\n':
	case ']':	goto yy6;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_11;
			goto yy6;
		}
		goto yy20;
	}
yy20:
	++in->cur;
yyFillLabel3_12:
	yych = *in->cur;
	switch (yych) {
	case '\n':	goto yy6;
	case ']':	goto yy22;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_12;
			goto yy6;
		}
		goto yy20;
	}
yy22:
	++in->cur;
yyFillLabel3_13:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy23;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_13;
		}
		goto yy6;
	}
yy23:
	++in->cur;
	in->yyt5 = in->cur - 1;
yyFillLabel3_14:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy24;
	case '"':	goto yy26;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_14;
		}
		goto yy6;
	}
yy24:
	++in->cur;
yyFillLabel3_15:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy24;
	case '"':	goto yy26;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_15;
		}
		goto yy6;
	}
yy26:
	++in->cur;
	in->yyt6 = in->cur - 1;
yyFillLabel3_16:
	yych = *in->cur;
	switch (yych) {
	case '\n':
	case '"':	goto yy6;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_16;
			goto yy6;
		}
		goto yy27;
	}
yy27:
	++in->cur;
yyFillLabel3_17:
	yych = *in->cur;
	switch (yych) {
	case '\n':	goto yy6;
	case '"':	goto yy29;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_17;
			goto yy6;
		}
		goto yy27;
	}
yy29:
	++in->cur;
yyFillLabel3_18:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy30;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_18;
		}
		goto yy6;
	}
yy30:
	++in->cur;
	in->yyt7 = in->cur - 1;
yyFillLabel3_19:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy31;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy33;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_19;
		}
		goto yy6;
	}
yy31:
	++in->cur;
yyFillLabel3_20:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy31;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy33;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_20;
		}
		goto yy6;
	}
yy33:
	++in->cur;
	in->yyt9 = in->cur - 1;
yyFillLabel3_21:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy34;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy35;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_21;
		}
		goto yy6;
	}
yy34:
	++in->cur;
	in->yyt8 = in->cur - 1;
yyFillLabel3_22:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy37;
	case '-':	goto yy39;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy40;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_22;
		}
		goto yy6;
	}
yy35:
	++in->cur;
yyFillLabel3_23:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy34;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy35;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_23;
		}
		goto yy6;
	}
yy37:
	++in->cur;
yyFillLabel3_24:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy37;
	case '-':	goto yy39;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy40;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_24;
		}
		goto yy6;
	}
yy39:
	++in->cur;
	in->yyt11 = in->cur - 1;
yyFillLabel3_25:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy41;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_25;
		}
		goto yy6;
	}
yy40:
	++in->cur;
	in->yyt11 = in->cur - 1;
yyFillLabel3_26:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy41;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy42;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_26;
		}
		goto yy6;
	}
yy41:
	++in->cur;
	in->yyt10 = in->cur - 1;
yyFillLabel3_27:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy44;
	case '"':	goto yy46;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_27;
		}
		goto yy6;
	}
yy42:
	++in->cur;
yyFillLabel3_28:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy41;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy42;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_28;
		}
		goto yy6;
	}
yy44:
	++in->cur;
yyFillLabel3_29:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy44;
	case '"':	goto yy46;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_29;
		}
		goto yy6;
	}
yy46:
	++in->cur;
	in->yyt12 = in->cur - 1;
yyFillLabel3_30:
	yych = *in->cur;
	switch (yych) {
	case '\n':	goto yy6;
	case '"':	goto yy49;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_30;
			goto yy6;
		}
		goto yy47;
	}
yy47:
	++in->cur;
yyFillLabel3_31:
	yych = *in->cur;
	switch (yych) {
	case '\n':	goto yy6;
	case '"':	goto yy49;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_31;
			goto yy6;
		}
		goto yy47;
	}
yy49:
	++in->cur;
yyFillLabel3_32:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy50;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_32;
		}
		goto yy6;
	}
yy50:
	++in->cur;
	in->yyt13 = in->cur - 1;
yyFillLabel3_33:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy51;
	case '"':	goto yy53;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_33;
		}
		goto yy6;
	}
yy51:
	++in->cur;
yyFillLabel3_34:
	yych = *in->cur;
	switch (yych) {
	case '\t':
	case ' ':	goto yy51;
	case '"':	goto yy53;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_34;
		}
		goto yy6;
	}
yy53:
	++in->cur;
	in->yyt14 = in->cur - 1;
yyFillLabel3_35:
	yych = *in->cur;
	switch (yych) {
	case '\n':	goto yy6;
	case '"':	goto yy56;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_35;
			goto yy6;
		}
		goto yy54;
	}
yy54:
	++in->cur;
yyFillLabel3_36:
	yych = *in->cur;
	switch (yych) {
	case '\n':	goto yy6;
	case '"':	goto yy56;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_36;
			goto yy6;
		}
		goto yy54;
	}
yy56:
	++in->cur;
yyFillLabel3_37:
	yych = *in->cur;
	switch (yych) {
	case '\n':	goto yy57;
	default:
		if (in->lim <= in->cur) {
			if (fill(in) == 0) goto yyFillLabel3_37;
		}
		goto yy6;
	}
yy57:
	++in->cur;
	in->yyt15 = in->yyt14;
	in->yyt14 = in->yyt13;
	in->yyt13 = in->yyt12;
	in->yyt12 = in->yyt10;
	in->yyt10 = in->yyt8;
	in->yyt8 = in->yyt7;
	in->yyt7 = in->yyt6;
	in->yyt6 = in->yyt5;
	in->yyt5 = in->yyt4;
	in->yyt4 = in->yyt3;
	in->yyt3 = in->yyt2;
	in->yyt2 = in->yyt1;
	in->yyt1 = in->yyt16;
	h1 = in->yyt1;
	h2 = in->yyt2;
	i2 = in->yyt3;
	a2 = in->yyt4;
	d1 = in->yyt5;
	d2 = in->yyt6;
	r1 = in->yyt7;
	r2 = in->yyt8;
	s1 = in->yyt9;
	s2 = in->yyt10;
	z1 = in->yyt11;
	z2 = in->yyt12;
	u1 = in->yyt13;
	u2 = in->yyt14;
	g1 = in->yyt15;
	i1 = in->yyt3 - 1;
	a1 = in->yyt4 - 1;
	g2 = in->cur - 1;
#line 34 "../../../benchmarks/submatch_dfa_aot/src/re2c/04__apache_log.re"
	{
        OUT("host: ",     h1, h2);
        OUT("userid: ",   i1, i2);
        OUT("authuser: ", a1, a2);
        OUT("date: ",     d1, d2);
        OUT("request: ",  r1, r2);
        OUT("status: ",   s1, s2);
        OUT("size: ",     z1, z2);
        OUT("url: ",      u1, u2);
        OUT("agent: ",    g1, g2);
        outc(out, '\n');
        goto loop;
    }
#line 908 "gen/re2c/04__apache_log-eof-stadfa.c"
yy59:
#line 5 "../../../benchmarks/submatch_dfa_aot/src/re2c/include-eof/fill.re"
	{ return 0; }
#line 912 "gen/re2c/04__apache_log-eof-stadfa.c"
}
#line 47 "../../../benchmarks/submatch_dfa_aot/src/re2c/04__apache_log.re"

}
