/* Generated by re2c */
#line 1 "../../../benchmarks/submatch_dfa_aot/src/re2c/32__rep_cat_23_19_17.re"
#include <assert.h>
#include <stdlib.h>
#include "common.h"

#line 15 "../../../benchmarks/submatch_dfa_aot/src/re2c/common.re"


typedef struct taglist_t {
    struct taglist_t *pred;
    long dist;
} taglist_t;

typedef struct taglistpool_t {
    taglist_t *head;
    taglist_t *next;
    taglist_t *last;
} taglistpool_t;

typedef struct {
    char *buf;
    char *lim;
    char *cur;
    char *mar;
    char *tok;
    
    taglist_t *yyt1;
taglist_t *yyt2;
taglist_t *yyt3;
taglist_t *yyt4;
taglist_t *yyt5;
taglist_t *yyt6;

    taglistpool_t tlp;
    int eof;
} input_t;

static inline void taglistpool_clear(taglistpool_t *tlp, input_t *in)
{
    tlp->next = tlp->head;
    in->yyt1 = 0;
in->yyt2 = 0;
in->yyt3 = 0;
in->yyt4 = 0;
in->yyt5 = 0;
in->yyt6 = 0;

}

static inline void taglistpool_init(taglistpool_t *tlp)
{
    static const unsigned size = 1024 * 1024;
    tlp->head = (taglist_t*)malloc(size * sizeof(taglist_t));
    tlp->next = tlp->head;
    tlp->last = tlp->head + size;
}

static inline void taglistpool_free(taglistpool_t *tlp)
{
    free(tlp->head);
    tlp->head = tlp->next = tlp->last = NULL;
}

static inline void taglist(taglist_t **ptl, const char *b, const char *t, taglistpool_t *tlp)
{
#ifdef GROW_MTAG_LIST
    if (tlp->next >= tlp->last) {
        const unsigned size = tlp->last - tlp->head;
        taglist_t *head = (taglist_t*)malloc(2 * size * sizeof(taglist_t));
        memcpy(head, tlp->head, size * sizeof(taglist_t));
        free(tlp->head);
        tlp->head = head;
        tlp->next = head + size;
        tlp->last = head + size * 2;
    }
#else
    assert(tlp->next < tlp->last);
#endif
    taglist_t *tl = tlp->next++;
    tl->pred = *ptl;
    tl->dist = t - b;
    *ptl = tl;
}

#line 4 "../../../benchmarks/submatch_dfa_aot/src/re2c/include/fill.re"


#define YYMAXFILL 2


static inline int fill(input_t *in, size_t need)
{
    size_t free;
    if (in->eof) return 1;

    free = in->tok - in->buf;
    assert(free >= need);

    memmove(in->buf, in->tok, in->lim - in->tok);
    in->lim -= free;
    in->cur -= free;
    in->mar -= free;
    in->tok -= free;
    

    in->lim += fread(in->lim, 1, free, stdin);

    if (in->lim < in->buf + SIZE) {
        in->eof = 1;
        memset(in->lim, 0, YYMAXFILL);
        in->lim += YYMAXFILL;
    }

    return 0;
}

static inline void init_input(input_t *in)
{
    in->buf = (char*) malloc(SIZE + YYMAXFILL);
    in->lim = in->buf + SIZE;
    in->cur = in->lim;
    in->mar = in->lim;
    in->tok = in->lim;
    
    in->yyt1 = 0;
in->yyt2 = 0;
in->yyt3 = 0;
in->yyt4 = 0;
in->yyt5 = 0;
in->yyt6 = 0;

    taglistpool_init(&in->tlp);
    in->eof = 0;
}


static inline void free_input(input_t *in)
{
    free(in->buf);
    taglistpool_free(&in->tlp);
}

static int lex(input_t *in, Output *out);

int main(int argc, char **argv)
{
    PRE;
    input_t in;
    Output out;

    init_input(&in);
    init_output(&out);

    switch (lex(&in, &out)) {
        case 0:  break;
        case 1:  fprintf(stderr, "*** %s: syntax error\n", argv[0]); break;
        case 2:  fprintf(stderr, "*** %s: yyfill error\n", argv[0]); break;
        default: fprintf(stderr, "*** %s: panic\n", argv[0]); break;
    }

    flush(&out);
    free_output(&out);
    free_input(&in);

    POST;
    return 0;
}


static const char *print(Output *out, const char *tok,
    const taglist_t *t1, const taglist_t *t2, const taglist_t *t3)
{
    if (!t1) return tok;

    const char *p0 = print(out, tok, t1->pred, t2->pred, t3->pred);
    const char *p1 = tok + t1->dist;
    const char *p2 = tok + t2->dist;
    const char *p3 = tok + t3->dist;

    outs(out, p0, p1);
    outc(out, '.');
    outs(out, p1, p2);
    outc(out, '.');
    outs(out, p2, p3);
    outc(out, ';');

    return p3;
}

static int lex(input_t *in, Output *out)
{
    taglist_t *t1 = NULL, *t2 = NULL, *t3 = NULL;

loop:
    in->tok = in->cur;

#line 199 "gen/re2c/32__rep_cat_23_19_17-tdfa0.c"
{
	char yych;
	in->yyt3 = in->yyt6;
	taglist(&in->yyt3, in->tok, in->tok - 1, &in->tlp);
	in->yyt2 = in->yyt5;
	taglist(&in->yyt2, in->tok, in->tok - 1, &in->tlp);
	in->yyt1 = in->yyt4;
	taglist(&in->yyt1, in->tok, in->tok - 1, &in->tlp);
	if ((in->lim - in->cur) < 2) if (fill(in, 2) != 0) return 1;
	yych = *in->cur++;
	switch (yych) {
	case 0x00:	goto yy2;
	case '\n':	goto yy6;
	case 'a':	goto yy8;
	default:	goto yy4;
	}
yy2:
#line 3 "../../../benchmarks/submatch_dfa_aot/src/re2c/include/fill.re"
	{ return 0; }
#line 219 "gen/re2c/32__rep_cat_23_19_17-tdfa0.c"
yy4:
yy5:
#line 32 "../../../benchmarks/submatch_dfa_aot/src/re2c/32__rep_cat_23_19_17.re"
	{ return 1; }
#line 224 "gen/re2c/32__rep_cat_23_19_17-tdfa0.c"
yy6:
	t1 = in->yyt1;
	t2 = in->yyt2;
	t3 = in->yyt3;
#line 33 "../../../benchmarks/submatch_dfa_aot/src/re2c/32__rep_cat_23_19_17.re"
	{
        print(out, in->tok, t1, t2, t3);
        outc(out, '\n');
        taglistpool_clear(&in->tlp, in);
        goto loop;
    }
#line 236 "gen/re2c/32__rep_cat_23_19_17-tdfa0.c"
yy8:
	yych = *(in->mar = in->cur);
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy9;
	default:	goto yy5;
	}
yy9:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy11;
	default:	goto yy10;
	}
yy10:
	in->cur = in->mar;
	goto yy5;
yy11:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy12;
	default:	goto yy10;
	}
yy12:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy13;
	default:	goto yy10;
	}
yy13:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy14;
	default:	goto yy10;
	}
yy14:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy15;
	default:	goto yy10;
	}
yy15:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy16;
	default:	goto yy10;
	}
yy16:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy17;
	default:	goto yy10;
	}
yy17:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy18;
	default:	goto yy10;
	}
yy18:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy19;
	default:	goto yy10;
	}
yy19:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy20;
	default:	goto yy10;
	}
yy20:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy21;
	default:	goto yy10;
	}
yy21:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy22;
	default:	goto yy10;
	}
yy22:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy23;
	default:	goto yy10;
	}
yy23:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy24;
	default:	goto yy10;
	}
yy24:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy25;
	default:	goto yy10;
	}
yy25:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy26;
	default:	goto yy10;
	}
yy26:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy27;
	default:	goto yy10;
	}
yy27:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy28;
	default:	goto yy10;
	}
yy28:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy29;
	default:	goto yy10;
	}
yy29:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy30;
	default:	goto yy10;
	}
yy30:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		taglist(&in->yyt4, in->tok, in->cur, &in->tlp);
		goto yy31;
	default:	goto yy10;
	}
yy31:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy32;
	default:	goto yy10;
	}
yy32:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy33;
	default:	goto yy10;
	}
yy33:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy34;
	default:	goto yy10;
	}
yy34:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy35;
	default:	goto yy10;
	}
yy35:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy36;
	default:	goto yy10;
	}
yy36:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy37;
	default:	goto yy10;
	}
yy37:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy38;
	default:	goto yy10;
	}
yy38:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy39;
	default:	goto yy10;
	}
yy39:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy40;
	default:	goto yy10;
	}
yy40:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy41;
	default:	goto yy10;
	}
yy41:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy42;
	default:	goto yy10;
	}
yy42:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy43;
	default:	goto yy10;
	}
yy43:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy44;
	default:	goto yy10;
	}
yy44:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy45;
	default:	goto yy10;
	}
yy45:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy46;
	default:	goto yy10;
	}
yy46:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy47;
	default:	goto yy10;
	}
yy47:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy48;
	default:	goto yy10;
	}
yy48:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy49;
	default:	goto yy10;
	}
yy49:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		taglist(&in->yyt5, in->tok, in->cur, &in->tlp);
		goto yy50;
	default:	goto yy10;
	}
yy50:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy51;
	default:	goto yy10;
	}
yy51:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy52;
	default:	goto yy10;
	}
yy52:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy53;
	default:	goto yy10;
	}
yy53:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy54;
	default:	goto yy10;
	}
yy54:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy55;
	default:	goto yy10;
	}
yy55:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy56;
	default:	goto yy10;
	}
yy56:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy57;
	default:	goto yy10;
	}
yy57:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy58;
	default:	goto yy10;
	}
yy58:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy59;
	default:	goto yy10;
	}
yy59:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy60;
	default:	goto yy10;
	}
yy60:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy61;
	default:	goto yy10;
	}
yy61:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy62;
	default:	goto yy10;
	}
yy62:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy63;
	default:	goto yy10;
	}
yy63:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy64;
	default:	goto yy10;
	}
yy64:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy65;
	default:	goto yy10;
	}
yy65:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy66;
	default:	goto yy10;
	}
yy66:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		taglist(&in->yyt6, in->tok, in->cur, &in->tlp);
		goto yy67;
	default:	goto yy10;
	}
yy67:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case '\n':
		++in->cur;
		in->yyt1 = in->yyt4;
		in->yyt2 = in->yyt5;
		in->yyt3 = in->yyt6;
		goto yy6;
	case 'a':
		++in->cur;
		goto yy68;
	default:	goto yy10;
	}
yy68:
	if (in->lim <= in->cur) if (fill(in, 1) != 0) return 1;
	yych = *in->cur;
	switch (yych) {
	case 'a':
		++in->cur;
		goto yy9;
	default:	goto yy10;
	}
}
#line 39 "../../../benchmarks/submatch_dfa_aot/src/re2c/32__rep_cat_23_19_17.re"

}
